[
    {
        "Id": "f98c54046fb5d9ee2c99116086aedd4cb236bfbb5afd2d17525fed57c81fab6b",
        "Created": "2025-08-20T06:00:41.231457642Z",
        "Path": "./agent",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2838,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T10:56:15.745866929Z",
            "FinishedAt": "2025-08-22T10:56:14.196908364Z"
        },
        "Image": "sha256:e1090181a1bfa975d082369186a30f8f942f4befff9f525c26d13ac051ee81a0",
        "ResolvConfPath": "/var/lib/docker/containers/f98c54046fb5d9ee2c99116086aedd4cb236bfbb5afd2d17525fed57c81fab6b/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/f98c54046fb5d9ee2c99116086aedd4cb236bfbb5afd2d17525fed57c81fab6b/hostname",
        "HostsPath": "/var/lib/docker/containers/f98c54046fb5d9ee2c99116086aedd4cb236bfbb5afd2d17525fed57c81fab6b/hosts",
        "LogPath": "/var/lib/docker/containers/f98c54046fb5d9ee2c99116086aedd4cb236bfbb5afd2d17525fed57c81fab6b/f98c54046fb5d9ee2c99116086aedd4cb236bfbb5afd2d17525fed57c81fab6b-json.log",
        "Name": "/portainer_agent",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/var/run/docker.sock:/var/run/docker.sock",
                "/var/lib/docker/volumes:/var/lib/docker/volumes"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "bridge",
            "PortBindings": {
                "9001/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "9001"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "always",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": null,
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": [],
            "BlkioDeviceReadBps": [],
            "BlkioDeviceWriteBps": [],
            "BlkioDeviceReadIOps": [],
            "BlkioDeviceWriteIOps": [],
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": [],
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "f98c54046fb5d9ee2c99116086aedd4cb236bfbb5afd2d17525fed57c81fab6b",
                "LowerDir": "/var/lib/docker/overlay2/3433eb860df705d53faf849691eabd1d0c82505c222b48ffc58ca04461c3764c-init/diff:/var/lib/docker/overlay2/2ab45f0a2df483b4d917e4ba038f13f3b1cf1add5f78405b49f21fcb3863796d/diff:/var/lib/docker/overlay2/7467ce6a9852c39c73d487fcbdaa2e1bbbdc81d9ffadada30142a233d96a61dd/diff:/var/lib/docker/overlay2/d2277cb17a31948700429fa5b56b098c91029108b4e6ae2df4fe74c9347d04f6/diff:/var/lib/docker/overlay2/f7bc1888d3ed3358331a33b63fedc886fc2ac74a3892323d6be7b27f7d249839/diff:/var/lib/docker/overlay2/34add30de8fb7c081a425237fe865e8352e450b08ac43830c88e1df161e47920/diff:/var/lib/docker/overlay2/fbcec1214d6e839a393c3d6433e368a675ca2254b75174df5a72bbd0cb214a82/diff:/var/lib/docker/overlay2/0fc26e1e4b0a4ed214eb76e62a90341223f4b64053ae16f8e83991660aaeafb4/diff:/var/lib/docker/overlay2/b52af23c0457a4220702019b9b54b5fab3dde35d03156750e8b07f8648d94ef9/diff:/var/lib/docker/overlay2/4d3d8a76d62173973902d30c609e39199a9b8d5e173a8ecfbc48ae90766e919c/diff",
                "MergedDir": "/var/lib/docker/overlay2/3433eb860df705d53faf849691eabd1d0c82505c222b48ffc58ca04461c3764c/merged",
                "UpperDir": "/var/lib/docker/overlay2/3433eb860df705d53faf849691eabd1d0c82505c222b48ffc58ca04461c3764c/diff",
                "WorkDir": "/var/lib/docker/overlay2/3433eb860df705d53faf849691eabd1d0c82505c222b48ffc58ca04461c3764c/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/var/run/docker.sock",
                "Destination": "/var/run/docker.sock",
                "Mode": "",
                "RW": true,
                "Propagation": "rprivate"
            },
            {
                "Type": "bind",
                "Source": "/var/lib/docker/volumes",
                "Destination": "/var/lib/docker/volumes",
                "Mode": "",
                "RW": true,
                "Propagation": "rslave"
            }
        ],
        "Config": {
            "Hostname": "24807cd23d8a",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "ExposedPorts": {
                "9001/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/app:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": null,
            "Image": "portainer/agent:latest",
            "Volumes": null,
            "WorkingDir": "/app",
            "Entrypoint": [
                "./agent"
            ],
            "OnBuild": null,
            "Labels": {
                "io.portainer.agent": "true"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "b8649a1f1a7feab88aa7b4121d09683ba63dfc08b581e2d1dfca93bbaf4eeb35",
            "SandboxKey": "/var/run/docker/netns/b8649a1f1a7f",
            "Ports": {
                "9001/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "9001"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "6fefbcaca55eccc2d9410a28e0117d47505f77aaa539e78ceef6609497222156",
            "Gateway": "172.17.0.1",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "172.17.0.4",
            "IPPrefixLen": 16,
            "IPv6Gateway": "",
            "MacAddress": "c2:4d:f0:bc:46:3a",
            "Networks": {
                "bridge": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [],
                    "MacAddress": "c2:4d:f0:bc:46:3a",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "a1b3d15979122770c853342925487fc844ee8601db61316f1cd757c72b37c88c",
                    "EndpointID": "6fefbcaca55eccc2d9410a28e0117d47505f77aaa539e78ceef6609497222156",
                    "Gateway": "172.17.0.1",
                    "IPAddress": "172.17.0.4",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": null
                }
            }
        }
    }
]
